#version 330 core

layout(location=0) in vec3 position;

out vec4 fPosition;

uniform mat4 depthVP0;
uniform mat4 model;

void main(void) {
	fPosition = depthVP0 * model * vec4(position, 1.0);
	gl_Position = depthVP0 * model * vec4(position, 1.0);	
}